Package org.opensaml.profile.action

# Interface ProfileAction

All Superinterfaces:
  `Component`, `InitializableComponent`

All Known Implementing Classes:
  `AbstractConditionalProfileAction`, `AbstractDecryptAction`, `AbstractEncryptAction`, `AbstractHandlerDelegatingProfileAction`, `AbstractMessageChannelSecurity`, `AbstractProfileAction`, `AbstractResponseShellAction`, `AddAudienceRestrictionToAssertions`, `AddChannelBindingsToAssertions`, `AddDoNotCacheConditionToAssertions`, `AddGeneratedKeyToAssertions`, `AddInResponseToToResponse`, `AddNameIdentifierToSubjects`, `AddNameIDToSubjects`, `AddNotBeforeConditionToAssertions`, `AddNotOnOrAfterConditionToAssertions`, `AddOneTimeUseConditionToAssertions`, `AddProxyRestrictionToAssertions`, `AddResponseShell`, `AddSOAPFault`, `AddStatusResponseShell`, `AddStatusToResponse`, `AddStatusToResponse`, `AddSubjectConfirmationToSubjects`, `AddSubjectConfirmationToSubjects`, `CheckAccess`, `CopyNameIdentifierFromRequest`, `CopyNameIDFromRequest`, `DecodeMessage`, `DecryptAssertions`, `DecryptAttributes`, `DecryptNameIDs`, `EncodeMessage`, `EncryptAssertions`, `EncryptAttributes`, `EncryptNameIDs`, `HttpServletRequestMessageChannelSecurity`, `LoadClientStorageServices`, `LogEvent`, `LogLocalStorageSaveResults`, `PopulateClientStorageLoadContext`, `PopulateClientStorageSaveContext`, `PopulateClientTLSValidationParameters`, `PopulateDecryptionParameters`, `PopulateECPContext`, `PopulateMetricContext`, `PopulateSignatureSigningParameters`, `PopulateSignatureValidationParameters`, `ResolveArtifact`, `ResolveArtifacts`, `SaveCookieBackedClientStorageServices`, `SetProfileId`, `SignAssertions`, `StaticMessageChannelSecurity`, `ValidateAssertions`, `ValidateHttpServletRequest`, `VerifyChannelBindings`

public interface ProfileAction extends InitializableComponent
Interface for actions that operate on a `ProfileRequestContext`.

Actions are expected to interact with the environment, access data, and produce results using the context tree provided at execution time. They signal unusual state transitions by attaching an `EventContext` to the tree.

Actions may be stateful or stateless, and are therefore not inherently thread-safe.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(ProfileRequestContext profileRequestContext)`
Performs this action.

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Method Details

### execute

void execute(@Nonnull ProfileRequestContext profileRequestContext)
Performs this action.

Parameters:
  `profileRequestContext` - the current IdP profile request context